<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\Processing\Steps;

use DM\Processing\Step;
use DM\Data;
use DM\Service;

class ChangeTablePrefix extends Step
{
    /**
     * Uploading demo content pack from repository
     * @return boolean
     * @throws Exception
     */
    protected function processing()
    {
        if ($this->getDemo()->isInstalled() === false) {
            throw new \Exception('Selected demo content not installed, please install before activated');
        }
        
        Service::moveSessionTokens(Data::getActivateDemo(), $this->getDemo()->getId());
        
        $this->getLog()->addLog('Change table prefix');
        Service::changeWpTablePrefix($this->getDemo()->getTablePrefix());
        Data::setData('current_table_prefix', $this->getDemo()->getTablePrefix());
        
        return true;
    }
    
    protected function abort()
    {
        return true;
    }
}

