<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\Processing\Steps;

use DM\Processing\Step;
use DM\Data;
use DM\Service;

class CreateDbStructureSqlDump extends Step
{
    /**
     * @return boolean
     * @throws Exception
     */
    protected function processing()
    {
        $this->getLog()->addLog('Creating database structure dump');
        $this->createDBStructure();
        
        return true;
    }
    
    public function createDBStructure()
    {
        $wp_filesystem = \DM\WPObjects\FileSystem\FileSystem::getInstance();
        global $table_prefix;
        $new_table_prefix = $this->getDemo()->getId();
        
        $tables = Service::getCurrentWordpressDbTables( Data::getActivateDemo() );
        $db_dir_name = $this->getDemo()->getDbDir();
        $result_querys = "\n";
        
        if (!is_dir($db_dir_name)) {
            wp_mkdir_p($db_dir_name);
        }
        
        foreach ($tables as $table) {
            $query = $this->getDB()->get_var("SHOW CREATE TABLE $table;", 1);
            if (!$query && $query == " ") {
                throw new Exception("Failed to create a dump of the table $table");
            }
            
            $table_query = str_replace($table_prefix, $new_table_prefix, $query);
            $result_querys = $result_querys . $table_query . "; \n";
        }
        
        $wp_filesystem->put_contents($db_dir_name . "/structure.sql", $result_querys);
    }
    
    protected function abort()
    {
        return true;
    }
}

