<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\Processing\Steps;

use DM\Processing\Step;

class Start extends Step
{
    /**
     * Uploading demo content pack from repository
     * @return boolean
     * @throws Exception
     */
    protected function processing()
    {
        if (!$this->getDemo()->isCurrentThemeDemo()) {
            throw new \Exception('The selected demo does not correspond to the current theme');
        }

        if (!$this->getDemo()->isCompatibleCurrentThemeVersion()) {
            throw new \Exception('Demo content not compatible with current template version');
        }
        
        return true;
    }
    
    protected function abort()
    {
        return true;
    }
}

