<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

/* @var $Demo \DM\Demo */

?>

<h3>
    <?php esc_html_e('Manual instruction: uploading demo content', 'dm');?>
</h3>
    <p>
        <?php esc_html_e('You need to download an archive with demo content, then upload it on the server and exctract it by yourself through FTP. After this, you need to continue the installation process by clicking on the “continue” button.', 'dm');?>
    </p>
<h5>
    1) <?php esc_html_e('Download', 'dm');?>
</h5>
    <?php if (isset($Demo)) : ?>
    <p>
        <?php esc_html_e('You can get an archive with the demo content you want through this link', 'dm');?>: <a href="<?php echo esc_url($Demo->getUploadUrl()); ?>">
            <?php echo esc_html($Demo->getUploadUrl()); ?>
        </a>
    </p>
    <?php else: ?>
    <p>
       <?php esc_html_e('You can get an archive with the demo content you want', 'dm');?>:<br>
       <img src="<?php echo plugins_url() . '/wp_demo_manager/assets/images/help_demo_download.png'; ?>">
    </p>
    <?php endif; ?>
<h5>
    2) <?php esc_html_e('Upload to hosting', 'dm');?>
</h5>
    <p>
        <?php esc_html_e('Set up FTP connection to your hosting with installed WordPress. Upload the archive you’ve downloaded to this directory', 'dm');?>:
        <code><?php echo esc_html(\DM\Config::getInstance()->getDemosDir()); ?></code>.
        <?php esc_html_e('Then, extract the archive you’ve uploaded', 'dm');?>
    </p>
    <p>
        <?php esc_html_e('Click “Continue” to resume the installation process!', 'dm');?>
    </p>


