<?php
/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

/* @var $Config \DM\Config */

$FilterTags = $Manager->getDemosTags($Collection);
?>


<div class="row collection-header">
    <div class="col-lg-8">
        <?php if (count($FilterTags) > 0) : ?>
            <?php include 'filter-tabs.php' ; ?>
        <?php endif; ?>
    </div>
    <div class="col-lg-4">
        <div class="upload-button">
            <?php if ($demo_version === \DM\Manager::LOCAL) : ?>
            <form method="POST" enctype="multipart/form-data">
                <span class="btn btn-default btn-file pull-right">
                    <i class="fa fa-upload" aria-hidden="true"></i>
                    <?php esc_html_e('Upload Demo', 'dm'); ?>
                    <input type="hidden" name="upload_demo_package_zip" value="1">
                    <input type="file" name="demo_package_zip" required="">
                </span>
            </form>
            <?php endif; ?>
        </div>
    </div>
    <div class="clearfix"></div>
</div>

<div class="row collection">
    
    <?php if (!count($Collection) && !$Config->isDevelopMode()) : ?>

        <div class="col-lg-12">
            <div class="demo promo">
                <img class="bg-promo" src="<?php echo esc_url(plugins_url() . '/wp_demo_manager/assets/images/bg-promo.png'); ?>">
                <div class="content">
                    <h1><?php esc_html_e('No demo available', 'dm');?></h1>
                    <p>
                        <?php esc_html_e('Sorry, but there is no one available demos for the current theme. Please install theme from torbara author.', 'dm'); ?>
                    <p>
                </div>
                <div class="actions">
                    <a href="https://themeforest.net/user/torbara/portfolio" target="_blank" class="btn btn-default">
                        <i class="fa fa-eye" aria-hidden="true"></i>
                        <?php esc_html_e('purchase and install', 'dm');?>
                    </a>
                </div>
            </div>
        </div>

    <?php else: ?>

        <div class="collection-grid">
            <?php foreach ($Collection as $Demo) : ?>
            
                <?php if ($Config->isDevelopMode()) : ?>
                <div class="col-lg-12 grid-item <?php echo esc_attr(str_replace(',', ' ', $Demo->getTags())); ?>">
                    <?php include 'demo-develop.php' ; ?>
                </div>
                <?php else: ?>
                <div class="col-lg-3 col-md-6 col-sm-12 grid-item <?php echo esc_attr(str_replace(',', ' ', $Demo->getTags())); ?>">
                    <?php include 'demo-default.php' ; ?>
                </div>
                <?php endif;?>
                        
            <?php endforeach; ?>
        </div>

    <?php endif; ?>
    
    <div class="clearfix"></div>
</div>

